Name:           cppmyth
Version:        1.1.0.2
Release:        2%{?dist}
Summary:        Client interface for the MythTV backend

Group:          System Environment/Libraries
License:        GPLv2+
URL:            https://github.com/janbar/cppmyth/
Source0:        https://github.com/janbar/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# Use system jansson library
Patch0:         %{name}-1.1.0-use_external_jansson.patch
# Fix compilation flags
Patch1:         %{name}-1.1.0-flags.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(jansson)

%description
This project is intended to create a easy client interface for the MythTV
backend. Its development started from January 2014 and today the API supports
the protocol version of MythTV 0.26 to 0.28-pre.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.


%prep
%setup -q
%patch0 -p0 -b .use_external_jansson
%patch1 -p0 -b .flags

# Delete bundled library jansson
rm -r jansson/


%build
%cmake . -DCMAKE_INSTALL_LIBDIR=%{_lib}
make %{?_smp_mflags}


%install
%make_install


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc README
%{_libdir}/*.so.*


%files devel
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Dec 30 2014 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.1.0.2-2
- Fix License tag
- Fix misspelling in Description

* Wed Dec 24 2014 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.1.0.2-1
- Initial RPM release
